Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.1.1 »
- erfa Package »
- p2pv

# p2pv

erfa.p2pv(p)

  Extend a p-vector to a pv-vector by appending a zero velocity.

  Parameters:
    p double array
  Returns:
    pv double array

  Notes

  Wraps ERFA function `eraP2pv`. The ERFA documentation is:

      - - - - - - - -
       e r a P 2 p v
      - - - - - - - -

      Extend a p-vector to a pv-vector by appending a zero velocity.

      Given:
         p        double[3]       p-vector

      Returned:
         pv       double[2][3]    pv-vector

      Called:
         eraCp        copy p-vector
         eraZp        zero p-vector

      This revision:  2021 May 11

      Copyright (C) 2013-2023, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.